Bug 1885619 - apiserver tries and fails to log an event when shutting down
Summary: apiserver tries and fails to log an event when shutting down
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Stefan Schimanski
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On: 1874583
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-06 14:16 UTC by OpenShift BugZilla Robot
Modified: 2020-12-14 13:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-14 13:50:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 396 0 None closed [release-4.6] Bug 1885619: fix kube-apiserver termination event(s) validation failures 2020-12-15 20:07:24 UTC
Red Hat Product Errata RHSA-2020:5259 0 None None None 2020-12-14 13:50:44 UTC

Comment 2 Xingxing Xia 2020-10-28 06:32:35 UTC
This bug's PR is dev-approved and not yet merged, so I'm following issue DPTP-660 to do pre-merge verification by using the bot to launch a cluster with the open PR.
In the cluster, using the verification approach written in my bug 1874583#c8, the shutdown kube-apiserver container logs don't reproduce the "failed to create event" issue now:
...
I1028 06:10:47.711035       1 main.go:176] Received signal terminated. Forwarding to sub-process "hyperkube".
I1028 06:10:47.711376      17 controller.go:181] Shutting down kubernetes service endpoint reconciler
I1028 06:10:47.711394      17 genericapiserver.go:667] Event(v1.ObjectReference{Kind:"Pod", Namespace:"openshift-kube-apiserver", Name:"kube-apiserver-ci-ln-62xwd92-f76d1-jvlbl-master-0", UID:"", APIVersion:"v1", ResourceVersion:"", FieldPath:""}): type: 'Normal' reason: 'TerminationStart' Received signal to terminate, becoming unready, but keeping serving
I1028 06:10:47.716345      17 httplog.go:94] "HTTP" verb="GET" URI="/apis/operator.openshift.io/v1/openshiftcontrollermanagers/cluster" latency="4.455089ms" userAgent="cluster-openshift-controller-manager-operator/v0.0.0 (linux/amd64) kubernetes/$Format" srcIP="10.0.0.3:36454" resp=200
...

So this bug is pre-merge-verified. After the PR gets merged, the bug will be moved to VERIFIED by the bot automatically or, if not working, by me manually.

Comment 9 errata-xmlrpc 2020-12-14 13:50:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.8 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5259


Note You need to log in before you can comment on or make changes to this bug.